use serde::Serialize;
use wasm_bindgen::prelude::wasm_bindgen;

use crate::schemes::q_style::ColorShifting;

#[derive(Debug, Clone, Serialize)]
#[wasm_bindgen]
pub struct SwatchSchemeSetting {
    pub amount: usize,
    pub min_lightness: f32,
    pub max_lightness: f32,
    pub include_primary: bool,
    pub dark_convert: ColorShifting,
}

impl Default for SwatchSchemeSetting {
    fn default() -> Self {
        Self {
            amount: 10,
            min_lightness: 10.0,
            max_lightness: 90.0,
            include_primary: false,
            dark_convert: ColorShifting {
                chroma: -0.3,
                lightness: -0.3,
            },
        }
    }
}
