export type ColorSet = {
  root: string;
  variant: string;
  on: string;
};

export type Baseline = {
  primary: ColorSet;
  secondary: ColorSet;
  error: ColorSet;
  background: ColorSet;
  surface: ColorSet;
  shadow: ColorSet;
  custom_colors: Record<string, ColorSet>;
};

export type MaterialDesign2Scheme = {
  white: string;
  black: string;
  light: Baseline;
  dark: Baseline;
};

export type MaterialDesign2SchemeSource = {
  primary: string;
  secondary: string;
  error: string;
  custom_colors: Record<string, string>;
};

export type MaterialDesign2SchemeStorage = {
  source: MaterialDesign2SchemeSource;
  scheme: MaterialDesign2Scheme;
};
